Doomsday Engine - Bug #2017

Build .pack/PK3 packages using CMake, with dependency tracking and automatic rebuilding
2015-04-29 23:10 - rhargrave

Status: Progressed Start date: 2014-10-21
Priority: Normal % Done: 50%
Assignee: skyjake

Category: Enhancement

Target version: Build system and tools

Description

Hopefully the CMake migration makes this a nonissue.

As it stands right now, however, QMake appears to be the tool responsible for generating the required PKS files (which are put in to
the build root). As such, modifying plugin DEDs, etc.., requires that QMake be run again in order to regenerate the corresponding
PK3 bundle.

It would probably be a good idea to figure out if QMake can generate a Make (or whatever you should generate) target to generate
said bundles.

Related issues:
Follows Feature #1887: Migrate project build system to CMake 3 Closed 2014-10-20

History

#1 - 2015-04-30 13:31 - skyjake
- Follows Feature #1887: Migrate project build system to CMake 3 added

#2 - 2015-04-30 13:34 - skyjake
- Tags set to CMake, Builder, Resources, Packages

- Category set to Enhancement

CMake doesn't make this a nonissue as such, however it should allow properly tracking the source file dependencies for changes and triggering
recompiling of the packages when needed. Once cmake-build has been merged, this would be a nice enhancement for the build system.

#3 - 2017-04-03 13:54 - skyjake

- Subject changed from PK3 generation during the build process to Build .pack/PK3 packages using CMake, with dependency tracking and automatic
rebuilding

#4 - 2017-04-03 14:20 - skyjake

- Target version set to Build system and tools

#5 - 2018-11-19 15:18 - skyjake
- Status changed from New to Progressed
- Assignee set to skyjake

- % Done changed from 0 to 50

Automatic .pack rebuilding is on its way.
